package ru.micord.ervu.audit.model;

import java.util.Map;


/**
 * @author Adel Kalimullin
 */
public class AuditActionRequest {
  private String eventType;
  private String route;
  private String sourceUrl;
  private Map<String, FilterInfo> filterInfo;
  private String fileName;

  public String getEventType() {
    return eventType;
  }

  public void setEventType(String eventType) {
    this.eventType = eventType;
  }

  public String getRoute() {
    return route;
  }

  public void setRoute(String route) {
    this.route = route;
  }

  public String getSourceUrl() {
    return sourceUrl;
  }

  public void setSourceUrl(String sourceUrl) {
    this.sourceUrl = sourceUrl;
  }

  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }

  public Map<String, FilterInfo> getFilterInfo() {
    return filterInfo;
  }

  public void setFilterInfo(
      Map<String, FilterInfo> filterInfo) {
    this.filterInfo = filterInfo;
  }
}
